summaryrefslogtreecommitdiffstats
path: root/accessibility/ruvim/ruvim.SlackBuild
diff options
context:
space:
mode:
author Vladimir Yatsemirski <7catssmile@gmail.com>2013-02-23 23:35:33 -0600
committer Robby Workman <rworkman@slackbuilds.org>2013-02-24 10:23:06 -0600
commitc948371ff3c74cd7afee80403454a17581914f62 (patch)
treee59853645034b295e386a05e12b48a2a7f42f363 /accessibility/ruvim/ruvim.SlackBuild
parentd34c34353b70a31ab7756d48a4e9fad87eb5d56c (diff)
downloadslackbuilds-c948371ff3c74cd7afee80403454a17581914f62.tar.gz
slackbuilds-c948371ff3c74cd7afee80403454a17581914f62.tar.xz
accessibility/ruvim: Added (Russian language pack for Vim)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'accessibility/ruvim/ruvim.SlackBuild')
-rw-r--r--accessibility/ruvim/ruvim.SlackBuild63
1 files changed, 63 insertions, 0 deletions
diff --git a/accessibility/ruvim/ruvim.SlackBuild b/accessibility/ruvim/ruvim.SlackBuild
new file mode 100644
index 0000000000..cf9f41954e
--- /dev/null
+++ b/accessibility/ruvim/ruvim.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Slackware build script for ruvim
+
+# Copyright 2012 Vladimir Yatsemirski <7catssmile@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ruvim
+VERSION=${VERSION:-0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION-utf8.zip -d $TMP/$PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/vim/vim73
+mv doc $PKG/usr/share/vim/vim73/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a RuVim-HISTORY.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}